Retrieve an address balance

This API is a request to retrieve native coin or token balance of a specific address or for a paginated list of addresses in your deposit wallet.

This API doesn't retrieve a list of address balances. To retrieve balance of an entire wallet, use the Retrieve a wallet balance API.

For Stellar, Cosmos, and Ripple chains, which only have a single address per wallet, use the Retrieve a wallet balance API instead.

This API reference helps retrieve the native coin and token balance of a wallet’s address only, such as in case of a deposit wallet. It retrieves the coin or token balance using either the address (wallet address) field or a paginated list of addresses using the pagination object’s pageNumber and pageSize fields.

  • We recommend using this API when you want to retrieve the balance of a deposit wallet’s list of addresses.
  • In case you want to request the total wallet balance, i.e., including both native coins and tokens for all addresses in the wallet, we recommend using the Retrieve a wallet balance API. Example: For Stellar, Cosmos, and Ripple chains, which only have a single address per wallet.

API use cases

You can use the API to retrieve the balance of either native coins or tokens from a single address or a list of addresses, as explained in the following use cases.

Retrieve native coin balance

  • Single address query: You can retrieve the native coin balance for a single address, using the following request body.
    {
        "wallet":{
            "coin": "eth",
            "walletId":1
        },
        "getAddressBalanceOption":{
            "address":"0xec69e15335c1f7a0a4733b504abc327f81baf8b5"
        }
    }
  • Paginated address query: You can retrieve native coin balance for a paginated list of addresses, using the following request body.
    {
        "wallet":{
            "coin": "eth",
            "walletId":1
        },
        "getAddressBalanceOption":{
           "pagination":{
                        "pageNumber":1,
                        "pageSize":50
                    }
        }
    }

Retrieve token balance

  • Single address query - You can retrieve the token balance for a single address, using the following request body. The body includes an additional parameter isTokenBalance. If you set its value to true, the API retrieves the token balance.
    {
        "wallet":{
            "coin": "eth",
            "walletId":1
        },
        "getAddressBalanceOption":{
            "address":"0x4014c023192ef37a91adcea4ac2fdd90914bd76f",
            "isTokenBalance":true
        }
    }
  • Paginated address query - You can retrieve token balance for a paginated list of addresses, using the following request body. The body includes an additional parameter isTokenBalance. If you set its value to true, the API retrieves the token balance.
    {
        "wallet":{
            "coin": "eth",
            "walletId":1
        },
        "getAddressBalanceOption":{
            "pagination":{
                        "pageNumber":1,
                        "pageSize":10
                    },
            "isTokenBalance":true
        }
    }

Body Params
wallet
object
required
getAddressBalanceOption
object
required
Headers
string
enum
Defaults to application/json; charset=utf-8

Generated from available response content types

Allowed:
Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json; charset=utf-8
application/json